org.gradle.api.artifacts.component

## Interface ModuleComponentIdentifier

- All Superinterfaces:
    ComponentIdentifier

      @Incubating
      public interface ModuleComponentIdentifier
      extends ComponentIdentifier

  An identifier for a component instance which is available as a module version.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()` The module group of the component.
    `String` | `getModule()` The module name of the component.
    `String` | `getVersion()` The module version of the component.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

      `getDisplayName`

- - ### Method Detail

    - #### getGroup

          String getGroup()

      The module group of the component.
      Returns:
        Component group
      Since:
        1.10

    - #### getModule

          String getModule()

      The module name of the component.
      Returns:
        Component module
      Since:
        1.10

    - #### getVersion

          String getVersion()

      The module version of the component.
      Returns:
        Component version
      Since:
        1.10